using Sepehr.ApiGateway.Partners.Contracts.Tour.RetrieveBooking.V1.GetStatus.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Tour.RetrieveBooking.V1.GetStatus.ResponseModel;
using SepehrTourApiSampleClient.BuiltinTypeExtensions;

namespace SepehrTourApiSampleClient.RetrieveBooking.WebApi
{
    public class GetStatusApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Tour/RetrieveBooking/V1/GetStatus",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
